FWTextInternal::DataModifier Struct Reference

Internal: class to store a font/para modifier with appear in text data. More...

## Public Member Functions

| DataModifier ()
| constructor More...
float | getSuper () const
| returns the superscript value ( negative in pt, position in li) More...
float | getSub () const
| returns the sub value ( negative in pt, position in li) More...
int | getBorderId () const
| returns the border id More...
int | getDocParaId () const
| returns the document extra id More...

## Public Attributes

MWAWColor | m_color
| the color More...
int | m_data [4]
| the data More...
std::string | m_extra
| extra data More...

## Friends

std::ostream & | operator<< (std::ostream &o, DataModifier const &m)
| operator<< More...

## Detailed Description

Internal: class to store a font/para modifier with appear in text data.

## Constructor & Destructor Documentation

FWTextInternal::DataModifier::DataModifier | ( |  | ) |

inline

constructor

## Member Function Documentation

int FWTextInternal::DataModifier::getBorderId | ( |  | ) | const

inline

returns the border id

Referenced by FWText::send().

int FWTextInternal::DataModifier::getDocParaId | ( |  | ) | const

inline

returns the document extra id

Referenced by FWText::send().

float FWTextInternal::DataModifier::getSub | ( |  | ) | const

inline

returns the sub value ( negative in pt, position in li)

Referenced by FWTextInternal::Font::update().

float FWTextInternal::DataModifier::getSuper | ( |  | ) | const

inline

returns the superscript value ( negative in pt, position in li)

Referenced by FWTextInternal::Font::update().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | DataModifier const & | m
| ) |  |

friend

operator<<

## Member Data Documentation

MWAWColor FWTextInternal::DataModifier::m_color

the color

Referenced by FWText::readDataMod(), and FWTextInternal::Font::update().

int FWTextInternal::DataModifier::m_data[4]

the data

Referenced by DataModifier(), getBorderId(), getDocParaId(), getSub(), getSuper(), and FWText::readDataMod().

std::string FWTextInternal::DataModifier::m_extra

extra data

Referenced by FWText::readDataMod().

The documentation for this struct was generated from the following file:

- FWText.cxx